// $Id: form_enabler.js,v 1.1 2006/09/29 16:43:06 fago Exp $

// Global Killswitch
if (isJsEnabled()) {
  addLoadEvent(form_enabler_AutoAttach);
}

/**
 * Attaches the form enabler behaviour to all required fields
 */
function form_enabler_AutoAttach() {
  var inputs = document.getElementsByTagName('input');
  var input = null;
  for (var i = 0; input = inputs[i]; i++) {
    if (input && hasClass(input, 'form_enabler_switch')) {
      var targets = input.getAttribute('data').split('|');
      input.targets = targets;
      input.removeAttribute('data');
      input.onchange = form_enabler;
      input.onchange();
    }
  }
}

/**
 * Enables/disables the targets. Called through onchange()
 */
function form_enabler() {
  for(i in this.targets) {
    target = $(this.targets[i]);
    if (target) {
      form_enabler_enable_node(target, this.checked);
    }
  }
}

function form_enabler_enable_node(node, bool) {
  if (bool) {
    node.removeAttribute('disabled');
  }
  else {
    node.setAttribute('disabled', node.disabled);
  }
 }
 